par(mar=c(5,4.5,4,2)+.1, cex=1.4)
plot(c(.5,1),c(0,1),xlab="Probability of Success in New Treatment",
   ylab="Power",type="n")
title("Power for Three Control Success Probabilities",cex=2)
n <- 100

for(p0 in c(.9,.95,.98))		{
   p1 <- seq(.5,p0,length=200)
   power <- b1power(p0,p1,n)
   lines(p1,power)
					}
#title(sub=paste("n=",n),adj=0)
text(locator(1),paste("n=",n))

text(locator(3),format(c(.9,.95,.98)),adj=0)

