#Compute approximate power of 1-sample binomial test of H0:p=p0 for sample
#size n and alpha level alpha, where the true value is p1
#Is two-tailed

b1power <- function(p0,p1,n,alpha=.05)					{
	z <- qnorm(alpha/2)
	q0 <- 1-p0
	q1 <- 1-p1
	pnorm(sqrt(p0*q0/(p1*q1))*(z+abs(p0-p1)*sqrt(n)/sqrt(p0*q0)))	}
