From s-sender@utstat.toronto.edu Wed Jul 12 17:18:23 1995
Received: from utstat.toronto.edu (utstat.toronto.edu [128.100.73.1]) by biostat.mc.duke.edu (8.6.10/8.6.6) with SMTP id RAA22115 for <feh@biostat.mc.duke.edu>; Wed, 12 Jul 1995 17:18:22 -0400
Received: by utstat; Wed Jul 12 16:40 EDT 1995
Received: (from zaslavsk@localhost) by calef.harvard.edu (8.6.11/8.6.11) id QAA08279 for s-news@utstat.toronto.edu; Wed, 12 Jul 1995 16:40:55 -0400
Date: Wed, 12 Jul 1995 16:40:55 -0400
From: "Alan M. Zaslavsky" <zaslavsk@hustat.harvard.edu>
Message-Id: <199507122040.QAA08279@calef.harvard.edu>
To: s-news@utstat.toronto.edu
Subject: Putting number of observations on leaf labels of a tree
Status: RO

The following simple modification of text.tree() puts the number of observations
on each leaf (when called with n=T ):

***************
*** 1,5 ****
  function(x, splits = T, label = "yval", FUN = text, all = F, pretty = NULL, 
! 	digits = .Options$digits - 3, ...)
  {
  #Put left splits at the parent node
--- 1,5 ----
  function(x, splits = T, label = "yval", FUN = text, all = F, pretty = NULL, 
! 	digits = .Options$digits - 3, n = F, ...)
  {
  #Put left splits at the parent node
***************
*** 36,41 ****
--- 36,43 ----
  		stat <- do.call("paste", c(list(sep = "\n"), split(stat, col(
  			stat))))
  	}
+ 	if(n)
+ 		stat <- paste(stat, "\n(", frame$n[leaves], ")", sep = "")
  	FUN(xy$x[leaves], xy$y[leaves] - 0.5 * cxy, stat, ...)
  	invisible()
  }

