c a Fortran subroutine
c
      subroutine randmv(nr,mnvec)
      parameter (N=100)
      integer irank,nr
      integer iseed 
      real*8 cov(2,2), mnvec(N,2), rsig(2,2)
      external dchfac, drnmvn
      external rnset

      cov(1,1)=1
      cov(1,2)=0.6
      cov(2,1)=0.6
      cov(2,2)=1

      call dchfac(2, cov, 2, 0.00001, irank, rsig, 2)

c     iseed=123457
c     call rnset(iseed)
      call drnmvn(nr, 2, rsig, 2, mnvec, nr)
      return
      end

      subroutine randep(nr,theta,epvec)
      parameter (N=100)
      integer nr
      integer iseed 
      real*8  epvec(N), theta
      external drnexp, dscal
      external rnset
 
c     iseed=12345
c     call rnset(iseed)
      call drnexp(nr,epvec)
      call dscal(nr,theta,epvec,1)
      return
      end

      subroutine randun(nr,unvec)
      parameter (N=100)
      integer nr
      integer iseed 
      real*8  unvec(N)
      external drnun
      external rnset
 
c     iseed=12345
c     call rnset(iseed)
      call drnun(nr,unvec)
      return
      end

      subroutine km(nr,x,sprob)
      parameter (ICEN=2,IFRQ=0,IGRP=0,IRT=1,ISRT=0,NCOL=2)
      parameter (N=100)
      integer nrmiss
      real*8 sprob(N,2), x(N,NCOL)
      external kapmr

      call dkapmr(nr,NCOL,x,N,IRT,IFRQ,ICEN,IGRP,ISRT,sprob,N,nrmiss)
      return
      end


